### Class

# Xdp InputCapturePointerBarrier

#### Description [src]

    final class Xdp.InputCapturePointerBarrier : GObject.Object
    {
      /* No available fields */
    }

A representation of a pointer barrier on an `XdpInputCaptureZone`. Barriers can be assigned with `xdp_input_capture_session_set_pointer_barriers()`, once the Portal interaction is complete the barrier’s “is-active” state indicates whether the barrier is active. Barriers can only be used once, subsequent calls to `xdp_input_capture_session_set_pointer_barriers()` will invalidate all current barriers.

#### Ancestors

- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Xdp.InputCapturePointerBarrier:id

The caller-assigned unique id of this barrier.

###### Xdp.InputCapturePointerBarrier:is-active

A boolean indicating whether this barrier is active. A barrier cannot become active once it failed to apply, barriers that are not active can be thus cleaned up by the caller.

###### Xdp.InputCapturePointerBarrier:x1

The pointer barrier x offset in logical pixels.

###### Xdp.InputCapturePointerBarrier:x2

The pointer barrier x offset in logical pixels.

###### Xdp.InputCapturePointerBarrier:y1

The pointer barrier y offset in logical pixels.

###### Xdp.InputCapturePointerBarrier:y2

The pointer barrier y offset in logical pixels.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct XdpInputCapturePointerBarrierClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.